org.springframework.data.repository.support

## Class QueryMethodParameterConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.data.repository.support.QueryMethodParameterConversionException

All Implemented Interfaces:
  Serializable

    public class QueryMethodParameterConversionException
    extends RuntimeException

Exception to represent a failed attempt to convert a source value into a query method parameter.

Since:
  1.11
Author:
  Oliver Gierke
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QueryMethodParameterConversionException(Object source, MethodParameter parameter, ConversionException cause)` Creates a new `QueryMethodParameterConversionException` for the given source object, `MethodParameter` and root cause `ConversionException`.

### Method Summary

All Methods Instance Methods Concrete Methods
`MethodParameter` `getParameter()` Returns the `MethodParameter` we tried to convert the source value for.
`Object` `getSource()` Returns the source value that we failed converting.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryMethodParameterConversionException

    public QueryMethodParameterConversionException(Object source,
                                                   MethodParameter parameter,
                                                   ConversionException cause)

Creates a new `QueryMethodParameterConversionException` for the given source object, `MethodParameter` and root cause `ConversionException`.

Parameters:
  `source` - can be null.
  `parameter` - the `MethodParameter` the value should've been converted for, must not be null..
  `cause` - the original `ConversionException`, must not be null.

### Method Detail

#### getSource

    public Object getSource()

Returns the source value that we failed converting.

Returns:
  the source can be null.

#### getParameter

    public MethodParameter getParameter()

Returns the `MethodParameter` we tried to convert the source value for.

Returns:
  the parameter will never be null.
See Also:
  `getSource()`